Look up a payment proxy address
This lookup API contacts the addressing server and verifies that the proxy address is valid as a destination.
In test mode, this always returns "success" except for MOBILE/+6511111111 and UEN/201912345NABC.
Authorization
authorization Set Your Secret API Key
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Type of the payment recipient's proxy (e.g. mobile phone number). This determines the value in proxyValue. E.g. if you specify UEN here, proxyValue should be a valid UEN. Proxy types supporting the DuitNow payment method: MOBILE, BUSINESS_REG, NRIC and PASSPORT.
1 <= lengthPayment recipient's proxy (e.g. mobile phone number). The value here is determined by proxyType. E.g. if you specify UEN in proxyType, this should be a valid UEN.
For the PayNow payment method, proxyValue should follow these formats:
MOBILEproxy type: A mobile number including the country code (+65 for Singapore). E.g: +6592345678.UENproxy type: A valid Unique Entity Number (UEN) issued by ACRA. E.g: 202303536E.NRICproxy type: A valid NRIC or FIN. E.g: S0000001I.VPAproxy type: A valid Virtual Payment Address (VPA) issued by a non-bank Financial Institution (e.g. digital wallets). The exact format is determined by the issuer. E.g: +6592345678#ACME.
For the DuitNow payment method, see the DuitNow variant of this request for the MOBILE, BUSINESS_REG, NRIC and PASSPORT formats.
1 <= length1 <= length1 <= lengthType of the payment recipient's proxy. Proxy types supporting the DuitNow payment method: MOBILE, BUSINESS_REG, NRIC and PASSPORT.
1 <= lengthPayment recipient's proxy. For the DuitNow payment method, proxyValue should follow these formats:
MOBILEproxy type: A mobile number including the country code (+60 for Malaysia). E.g:+601255214553.BUSINESS_REGproxy type: A valid Business Registration Number (BRN) issued by the Companies Commission of Malaysia, a.k.a. Suruhanjaya Syarikat Malaysia (SSM). E.g:201903123456.NRICproxy type: Only alphanumeric with no hyphens (-) and no spaces allowed. Both New and Old IC numbers are supported. E.g:610204135758.PASSPORTproxy type: Passport Number + Alpha-3 country code of the country of issuance. E.g: given a passport number E394029340V and country code of Singapore (SGP), the value will beE394029340VSGP.
1 <= lengthResponse Body
*/*
application/json
application/json
curl -X POST "https://example.com/v1/payment-proxy/lookup" \
-H "Content-Type: application/json" \
-d '{
"proxyType": "string",
"proxyValue": "string"
}'{
"failureReason": "string",
"proxyType": "string",
"proxyValue": "string",
"success": true
}